@import "../themeSettings.less";

.introjs-tooltiptext {
  font-size: 1.2em;
  line-height: 1.5em;
}

.introjs-tooltiptext label {
  display: inline;
  margin-left: 5px;
  font-weight: normal;
}

.@{themeName} {
  .legalDisclaimerButton {
    font-size: 12px;
    line-height: 12px;
    text-align: center;
    .border-radius(3px);
    background-color: @ct-primary-button-color;
    color: @ct-primary-button-text-color;
    padding: 8px 5px;

    &:hover {
      background-color: @ct-primary-button-hovered-color;
    }
  }

  .introjs-button {
    background-color: @button-border-color;
    border-width: 0;
    padding: 4px 12px 4px;
    font-weight: bold;
    color: #ffffff;
    font-size: 12px;
    margin: 0.2em;
    text-decoration: none;
  }

  .introjs-button.introjs-disabled {
    background-color: @disabled-background-color;
  }

  .introjs-button.introjs-disabled:hover {
    cursor: default;
    background-color: @disabled-background-color;
  }

  .introjs-button:hover {
    background-color: @button-hovered-background-color;
  }

  .introjs-tooltipbuttons {
    margin: 10px 2px 2px;
  }

  .footer {
    .icon {
      font-size: 28px;
      float: right;
      color: @button-border-color;
      &:hover {
        color: @button-hovered-background-color;
        cursor: pointer;
      }
    }
    .icon-info-2 {
      margin-top: -3px;
    }
  }

  .disclaimer h2 {
    font-size: 2em;
    font-weight: bold;
  }

  .disclaimer ul li,
  .disclaimer p {
    font-size: 1.2em;
    line-height: 1.1em;
    margin: 10px;
  }

  .disclaimer ul {
    margin-top: 0;
    margin-bottom: 2px;
  }

  .disclaimer-content {
    /*overflow: scroll;*/
    /*height: 60%;*/
  }

  .disclaimer-content div img {
    margin: 10px 40px;
    float: left;
  }

  .disclaimer-content p {
    font-size: 1.2em;
    margin: 0;
    margin-top: 0;
    /*margin-bottom: 3em;*/
    line-height: 1.5em;
  }

  .disclaimer-content h1 {
    font-size: 2em;
    color: @ct-highlight-color;
  }

  .disclaimer-footer {
    div,
    span {
      float: right;
    }
  }

  #disclaimer-text {
    overflow: hidden;
  }

  .disclaimer-footer-loading {
    float: right;
    margin-left: 1em;
    margin-right: 1em;
  }

  #disclaimer-footer-loading-img {
    width: 15px;
    height: 15px;
    float: left;
    margin-right: 1em;
    background: url("bundles/images/ajax-loader.gif") center top;
  }

  #disclaimer-graphic {
    width: 350px;
    height: 315px;
    margin: 10px 40px;
    float: left;
    background: url("bundles/images/architecture-external-services.png") center
      top;
  }

  @media (max-width: 900px) {
    #disclaimer-graphic {
      width: 100%;
      float: none;
      margin: 5px;
      background-size: contain;
      background-repeat: no-repeat;
    }
  }
}

/* disclaimer */

.started.hideLegalDisclaimer .disclaimer.legal {
  display: none;
}
.started.hideInfoDisclaimer .disclaimer.info {
  display: none;
}

.started .disclaimer {
  border: 1px solid #bdc3c7;
  -webkit-box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.25);
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.25);
  -webkit-border-radius: 0;
}

/*
css of intro.js
*/

.introjs-overlay {
  position: absolute;
  z-index: 999999;
  background-color: #000;
  opacity: 0;
  background: -moz-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -webkit-gradient(
    radial,
    center center,
    0px,
    center center,
    100%,
    color-stop(0%, rgba(0, 0, 0, 0.4)),
    color-stop(100%, rgba(0, 0, 0, 0.9))
  );
  background: -webkit-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -o-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: -ms-radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  background: radial-gradient(
    center,
    ellipse cover,
    rgba(0, 0, 0, 0.4) 0,
    rgba(0, 0, 0, 0.9) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#66000000',endColorstr='#e6000000',GradientType=1);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
  filter: alpha(opacity=50);
  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -ms-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

.introjs-fixParent {
  z-index: auto !important;
  opacity: 1 !important;
  position: absolute !important;
  -webkit-transform: none !important;
  -moz-transform: none !important;
  -ms-transform: none !important;
  -o-transform: none !important;
  transform: none !important;
}

.introjs-showElement,
tr.introjs-showElement > td,
tr.introjs-showElement > th {
  z-index: 9999999 !important;
}

.introjs-disableInteraction {
  z-index: 99999999 !important;
  position: absolute;
}

.introjs-relativePosition,
tr.introjs-showElement > td,
tr.introjs-showElement > th {
  position: relative;
}

.introjs-helperLayer {
  position: absolute;
  z-index: 9999998;
  background-color: #fff;
  background-color: rgba(255, 255, 255, 0.9);
  border: 1px solid #777;
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 4px;
  box-shadow: 0 2px 15px rgba(0, 0, 0, 0.4);
  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -ms-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

.introjs-tooltipReferenceLayer {
  position: absolute;
  visibility: hidden;
  z-index: 10000000;
  background-color: transparent;
  -webkit-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  -ms-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

.introjs-helperLayer *,
.introjs-helperLayer *:before,
.introjs-helperLayer *:after {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  -ms-box-sizing: content-box;
  -o-box-sizing: content-box;
  box-sizing: content-box;
}

.introjs-helperNumberLayer {
  position: absolute;
  visibility: visible;
  top: -16px;
  left: -16px;
  z-index: 9999999999 !important;
  padding: 2px;
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  font-size: 1.4em;
  line-height: 1.2em;
  font-weight: bold;
  color: white;
  text-align: center;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
  background: #ff3019; /* Old browsers */
  background: -webkit-linear-gradient(
    top,
    #ff3019 0%,
    #cf0404 100%
  ); /* Chrome10+,Safari5.1+ */
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(0%, #ff3019),
    color-stop(100%, #cf0404)
  ); /* Chrome,Safari4+ */
  background: -moz-linear-gradient(top, #ff3019 0%, #cf0404 100%); /* FF3.6+ */
  background: -ms-linear-gradient(top, #ff3019 0%, #cf0404 100%); /* IE10+ */
  background: -o-linear-gradient(
    top,
    #ff3019 0%,
    #cf0404 100%
  ); /* Opera 11.10+ */
  background: linear-gradient(to bottom, #ff3019 0%, #cf0404 100%); /* W3C */
  width: 20px;
  height: 20px;
  border: 3px solid white;
  border-radius: 50%;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff3019', endColorstr='#cf0404', GradientType=0); /* IE6-9 */
  filter: progid:DXImageTransform.Microsoft.Shadow(direction=135, strength=2, color=ff0000); /* IE10 text shadows */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.4);
}

.introjs-arrow {
  border: 5px solid white;
  content: "";
  position: absolute;
}
.introjs-arrow.top {
  top: -10px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: white;
  border-left-color: transparent;
}
.introjs-arrow.top-right {
  top: -10px;
  right: 10px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: white;
  border-left-color: transparent;
}
.introjs-arrow.top-middle {
  top: -10px;
  left: 50%;
  margin-left: -5px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: white;
  border-left-color: transparent;
}
.introjs-arrow.right {
  right: -10px;
  top: 10px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  border-left-color: white;
}
.introjs-arrow.right-bottom {
  bottom: 10px;
  right: -10px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  border-left-color: white;
}
.introjs-arrow.bottom {
  bottom: -10px;
  border-top-color: white;
  border-right-color: transparent;
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.introjs-arrow.left {
  left: -10px;
  top: 10px;
  border-top-color: transparent;
  border-right-color: white;
  border-bottom-color: transparent;
  border-left-color: transparent;
}
.introjs-arrow.left-bottom {
  left: -10px;
  bottom: 10px;
  border-top-color: transparent;
  border-right-color: white;
  border-bottom-color: transparent;
  border-left-color: transparent;
}

.introjs-tooltip {
  font-size: 12px;
  position: absolute;
  visibility: visible;
  padding: 10px;
  background-color: white;
  min-width: 200px;
  max-width: 300px;
  border-radius: 3px;
  box-shadow: 0 1px 10px rgba(0, 0, 0, 0.4);
  -webkit-transition: opacity 0.1s ease-out;
  -moz-transition: opacity 0.1s ease-out;
  -ms-transition: opacity 0.1s ease-out;
  -o-transition: opacity 0.1s ease-out;
  transition: opacity 0.1s ease-out;
}

.introjs-tooltipbuttons {
  text-align: right;
  white-space: nowrap;
}

/*
 Buttons style by http://nicolasgallagher.com/lab/css3-github-buttons/
 Changed by Afshin Mehrabani
*/

.introjs-bullets {
  text-align: center;
}
.introjs-bullets ul {
  clear: both;
  margin: 15px auto 0;
  padding: 0;
  display: inline-block;
}
.introjs-bullets ul li {
  list-style: none;
  float: left;
  margin: 0 2px;
}
.introjs-bullets ul li a {
  display: block;
  width: 6px;
  height: 6px;
  background: #ccc;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  text-decoration: none;
}
.introjs-bullets ul li a:hover {
  background: #999;
}
.introjs-bullets ul li a.active {
  background: #999;
}

.introjs-progress {
  overflow: hidden;
  height: 10px;
  margin: 10px 0 5px 0;
  border-radius: 4px;
  background-color: #ecf0f1;
}
.introjs-progressbar {
  float: left;
  width: 0%;
  height: 100%;
  font-size: 10px;
  line-height: 10px;
  text-align: center;
  background-color: #08c;
}

.introjsFloatingElement {
  position: absolute;
  height: 0;
  width: 0;
  left: 50%;
  top: 50%;
}
